Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1749 - keyboard maps not found correctly
Summary: keyboard maps not found correctly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-24 21:02 UTC by Michael K. Johnson
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-09 18:27:01 UTC


Attachments (Terms of Use)

Description Michael K. Johnson 1999-03-24 21:02:35 UTC
linuxconf appears to look below the base keymap directory
for filenames matching the regexp [a-zA-Z].map.gz
This is now obsolete.  The new way is to do something
functionally equivalent to
find /usr/lib/kbd/keymaps/<arch> | egrep '.k?map'
to get the list of files and
sed 's:.*/\([^/][^/]*\)\.k*map\.gz:\1:g'
to get the names that should be attached to those
files.

Comment 1 Michael K. Johnson 1999-03-31 16:14:59 UTC
Jacques, this bug still exists in linuxconf-1.14r2
I still only see default, ro, or sr as options.

Comment 2 Michael K. Johnson 1999-04-08 20:20:59 UTC
Still occurs in linuxconf-1.14r3.1

Comment 3 Michael K. Johnson 1999-04-09 16:33:59 UTC
Still occurs in linuxconf-1.14r4
Jacques, what do I need to do to help you fix this?

Comment 4 Michael K. Johnson 1999-04-09 18:12:59 UTC
Jacques, I found it.  You were only looking for .map and .map.gz
files, not .kmap and .kmap.gz files.  I'll send the patch in email.

------- Email Received From  "Michael K. Johnson" <johnsonm@redhat.com> 04/09/99 14:26 -------

Comment 5 Michael K. Johnson 1999-04-09 18:27:59 UTC
Fixed in linuxconf-1.14r4-2


Note You need to log in before you can comment on or make changes to this bug.